import { Component, ViewChild, AfterViewInit } from '@angular/core';
import { NgbOffcanvas } from '@ng-bootstrap/ng-bootstrap';
import { OffcanvasComponent } from './offcanvas/offcanvas.component';

@Component({
  selector: 'app-journal-home',
  templateUrl: './journal-home.component.html',
  styleUrls: ['./journal-home.component.scss'],
})
export class JournalHomeComponent {
  @ViewChild('offcanvas') offcanvasNavigation?: OffcanvasComponent;

  public openNavigation(): void {
    this.offcanvasNavigation?.openNavigation();
  }

  // If the weapon-container is too close to the bottom of the screen, the navbar is hidden.
  public hide(): boolean {
    const element = document.getElementsByClassName(
      'weapon-spell-container'
    )[0];

    const rect = element!.getBoundingClientRect();
    console.log(rect.bottom, window.innerHeight);
    const distanceToBottom = window.innerHeight - rect.bottom;
    if (distanceToBottom < (window.innerHeight / 100) * 10) {
      return true;
    } else {
      return false;
    }
  }
}
